Index: /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc	(revision 12303)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc	(revision 12304)
@@ -218,334 +192,317 @@
     //-195 -135 -85 -35 15 60 105 150 195 245
 
-    void findNeighboorVertices(Vector3 actuelposition, graphVertex adjacentVertices[]){
-
-            //All positions in the map, see documentation
-     Vector3 possibleposition[] = {Vector3(20,10,245),Vector3(215,10,245),Vector3(215,10,195),Vector3(185,10,195),Vector3(135,10,195), //0-4
-        Vector3(185,10,150),Vector3(135,10,150),Vector3(215,10,150),Vector3(215,10,105),Vector3(135,10,105), //5-9
-        Vector3(135,10,15),Vector3(135,10,-85),Vector3(215,10,-85),Vector3(135,10,-135),Vector3(215,10,-135), //10-14
-        Vector3(215,10,-195),Vector3(135,10,-195),Vector3(20,10,195),Vector3(-20,10,195),Vector3(-20,10,245), //15-19
-        Vector3(-215,10,245),Vector3(-215,10,195),Vector3(-185,10,195),Vector3(-135,10,195),Vector3(-70,10,195), //20-24
-        Vector3(70,10,195),Vector3(70,10,150),Vector3(20,10,150),Vector3(-20,10,150),Vector3(-70,10,150), //25-29
-        Vector3(-135,10,150),Vector3(-185,10,150),Vector3(-215,10,150),Vector3(-215,10,105),Vector3(-135,10,105), //30-34
-        Vector3(-70,10,105),Vector3(-20,10,105),Vector3(20,10,105),Vector3(70,10,105),Vector3(70,10,60), //35-39
-        Vector3(0,10,60),Vector3(-70,10,60),Vector3(-135,10,15),Vector3(-70,10,60),Vector3(0,10,15), //40-44
-        Vector3(70,10,15),Vector3(-70,10,-35),Vector3(-20,10,-35),Vector3(20,10,-35),Vector3(70,10,-35), //45-49
-        Vector3(70,10,-85),Vector3(20,10,-85),Vector3(-20,10,-85),Vector3(-70,10,-85),Vector3(-135,10,-85), //50-54
-        Vector3(-215,10,-85),Vector3(-215,10,-135),Vector3(-135,10,-135),Vector3(-70,10,-135),Vector3(-20,10,-135), //55-59
-        Vector3(20,10,-135),Vector3(70,10,-135),Vector3(20,10,-195),Vector3(-20,10,-195),Vector3(-135,10,-195), //60-64
-        Vector3(-215,10,-195),Vector3(0,10,-35)}; //65-66
-        
-
-
-
-            if(jeanfindpos(actuelposition,possibleposition[0])){
+    void findNeighboorVertices(Vector3 actuelposition, graphVertex* adjacentVertices[]){      
+
+
+            if(findpos(actuelposition,possibleposition[0])){
                 // we should use listOfVertices[i] instead of possibleposition[i] I think
                 // so that all neighboors are "the same"
-                adjacentVertices[0]=graphVertex(possibleposition[1]);  //need to do it everywhere !!!
-                adjacentVertices[1]=graphVertex(possibleposition[17]);
-                adjacentVertices[2]=possibleposition[19]; //maybe a vector would be more suitable ?
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[1])){
-                adjacentVertices[0]=possibleposition[0];
-                adjacentVertices[1]=possibleposition[2];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[2])){
-                adjacentVertices[0]=possibleposition[1];
-                adjacentVertices[1]=possibleposition[3];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[3])){
-                adjacentVertices[0]=possibleposition[2];
-                adjacentVertices[1]=possibleposition[4];
-                adjacentVertices[2]=possibleposition[5];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[4])){
-                adjacentVertices[0]=possibleposition[3];
-                adjacentVertices[1]=possibleposition[6];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[5])){
-                adjacentVertices[0]=possibleposition[3];
-                adjacentVertices[1]=possibleposition[7];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[6])){
-                adjacentVertices[0]=possibleposition[4];
-                adjacentVertices[1]=possibleposition[9];
-                adjacentVertices[2]=possibleposition[26];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[7])){
-                adjacentVertices[0]=possibleposition[5];
-                adjacentVertices[1]=possibleposition[8];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[8])){
-                adjacentVertices[0]=possibleposition[7];
-                adjacentVertices[1]=possibleposition[9];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[9])){
-                adjacentVertices[0]=possibleposition[6];
-                adjacentVertices[1]=possibleposition[8];
-                adjacentVertices[2]=possibleposition[10];
-                adjacentVertices[3]=possibleposition[38];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[10])){
-                adjacentVertices[0]=possibleposition[9];
-                adjacentVertices[1]=possibleposition[11];
-                adjacentVertices[2]=possibleposition[45];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[11])){
-                adjacentVertices[0]=possibleposition[10];
-                adjacentVertices[1]=possibleposition[12];
-                adjacentVertices[2]=possibleposition[13];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[12])){
-                adjacentVertices[0]=possibleposition[11];
-                adjacentVertices[1]=possibleposition[14];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[13])){
-                adjacentVertices[0]=possibleposition[11];
-                adjacentVertices[1]=possibleposition[14];
-                adjacentVertices[2]=possibleposition[16];
-                adjacentVertices[3]=possibleposition[61];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[14])){
-                adjacentVertices[0]=possibleposition[12];
-                adjacentVertices[1]=possibleposition[13];
-                adjacentVertices[2]=possibleposition[15];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[15])){
-                adjacentVertices[0]=possibleposition[14];
-                adjacentVertices[1]=possibleposition[16];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[16])){
-                adjacentVertices[0]=possibleposition[13];
-                adjacentVertices[1]=possibleposition[15];
-                adjacentVertices[2]=possibleposition[62];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[17])){
-                adjacentVertices[0]=possibleposition[0];
-                adjacentVertices[1]=possibleposition[25];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[18])){
-                adjacentVertices[0]=possibleposition[19];
-                adjacentVertices[1]=possibleposition[24];                
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[19])){
-                adjacentVertices[0]=possibleposition[0];
-                adjacentVertices[1]=possibleposition[18];
-                adjacentVertices[2]=possibleposition[20];
+                adjacentVertices[0]=&listOfVertices[1]; //graphVertex(possibleposition[1]);  //need to do it everywhere !!!
+                adjacentVertices[1]=&listOfVertices[17]; //graphVertex(possibleposition[17]);
+                adjacentVertices[2]=&listOfVertices[19]; //graphVertex(possibleposition[19]); //maybe a vector would be more suitable ?
+            }
+            else if(findpos(actuelposition,possibleposition[1])){
+                adjacentVertices[0]=&listOfVertices[0]; //graphVertex(possibleposition[0]);
+                adjacentVertices[1]=&listOfVertices[2]; //graphVertex(possibleposition[2]);
+            }
+            else if(findpos(actuelposition,possibleposition[2])){
+                adjacentVertices[0]=&listOfVertices[1]; //graphVertex(possibleposition[1]);
+                adjacentVertices[1]=&listOfVertices[3]; //graphVertex(possibleposition[3]);
+            }
+            else if(findpos(actuelposition,possibleposition[3])){
+                adjacentVertices[0]=&listOfVertices[2]; //graphVertex(possibleposition[2]);
+                adjacentVertices[1]=&listOfVertices[4]; //graphVertex(possibleposition[4]);
+                adjacentVertices[2]=&listOfVertices[5]; //graphVertex(possibleposition[5]);
+            }
+            else if(findpos(actuelposition,possibleposition[4])){
+                adjacentVertices[0]=&listOfVertices[3]; //graphVertex(possibleposition[3]);
+                adjacentVertices[1]=&listOfVertices[6]; //graphVertex(possibleposition[6]);
+            }
+            else if(findpos(actuelposition,possibleposition[5])){
+                adjacentVertices[0]=&listOfVertices[3]; //graphVertex(possibleposition[3]);
+                adjacentVertices[1]=&listOfVertices[7]; //graphVertex(possibleposition[7]);
+            }
+            else if(findpos(actuelposition,possibleposition[6])){
+                adjacentVertices[0]=&listOfVertices[4]; //graphVertex(possibleposition[4]);
+                adjacentVertices[1]=&listOfVertices[9]; //graphVertex(possibleposition[9]);
+                adjacentVertices[2]=&listOfVertices[26]; //graphVertex(possibleposition[26]);
+            }
+            else if(findpos(actuelposition,possibleposition[7])){
+                adjacentVertices[0]=&listOfVertices[5]; //graphVertex(possibleposition[5]);
+                adjacentVertices[1]=&listOfVertices[8]; //graphVertex(possibleposition[8]);
+            }
+            else if(findpos(actuelposition,possibleposition[8])){
+                adjacentVertices[0]=&listOfVertices[7]; //graphVertex(possibleposition[7]);
+                adjacentVertices[1]=&listOfVertices[9]; //graphVertex(possibleposition[9]);
+            }
+            else if(findpos(actuelposition,possibleposition[9])){
+                adjacentVertices[0]=&listOfVertices[6]; //graphVertex(possibleposition[6]);
+                adjacentVertices[1]=&listOfVertices[8]; //graphVertex(possibleposition[8]);
+                adjacentVertices[2]=&listOfVertices[10]; //graphVertex(possibleposition[10]);
+                adjacentVertices[3]=&listOfVertices[38]; //graphVertex(possibleposition[38]);
+            }
+            else if(findpos(actuelposition,possibleposition[10])){
+                adjacentVertices[0]=&listOfVertices[9]; //graphVertex(possibleposition[9]);
+                adjacentVertices[1]=&listOfVertices[11]; //graphVertex(possibleposition[11]);
+                adjacentVertices[2]=&listOfVertices[45]; //graphVertex(possibleposition[45]);
+            }
+            else if(findpos(actuelposition,possibleposition[11])){
+                adjacentVertices[0]=&listOfVertices[10]; //graphVertex(possibleposition[10]);
+                adjacentVertices[1]=&listOfVertices[12]; //graphVertex(possibleposition[12]);
+                adjacentVertices[2]=&listOfVertices[13]; //graphVertex(possibleposition[13]);
+            }
+            else if(findpos(actuelposition,possibleposition[12])){
+                adjacentVertices[0]=&listOfVertices[11]; //graphVertex(possibleposition[11]);
+                adjacentVertices[1]=&listOfVertices[14]; //graphVertex(possibleposition[14]);
+            }
+            else if(findpos(actuelposition,possibleposition[13])){
+                adjacentVertices[0]=&listOfVertices[11]; //graphVertex(possibleposition[11]);
+                adjacentVertices[1]=&listOfVertices[14]; //graphVertex(possibleposition[14]);
+                adjacentVertices[2]=&listOfVertices[16]; //graphVertex(possibleposition[16]);
+                adjacentVertices[3]=&listOfVertices[61]; //graphVertex(possibleposition[61]);
+            }
+            else if(findpos(actuelposition,possibleposition[14])){
+                adjacentVertices[0]=&listOfVertices[12]; //graphVertex(possibleposition[12]);
+                adjacentVertices[1]=&listOfVertices[13]; //graphVertex(possibleposition[13]);
+                adjacentVertices[2]=&listOfVertices[15]; //graphVertex(possibleposition[15]);
+            }
+            else if(findpos(actuelposition,possibleposition[15])){
+                adjacentVertices[0]=&listOfVertices[14]; //graphVertex(possibleposition[14]);
+                adjacentVertices[1]=&listOfVertices[16]; //graphVertex(possibleposition[16]);
+            }
+            else if(findpos(actuelposition,possibleposition[16])){
+                adjacentVertices[0]=&listOfVertices[13]; //graphVertex(possibleposition[13]);
+                adjacentVertices[1]=&listOfVertices[15]; //graphVertex(possibleposition[15]);
+                adjacentVertices[2]=&listOfVertices[62]; //graphVertex(possibleposition[62]);
+            }
+            else if(findpos(actuelposition,possibleposition[17])){
+                adjacentVertices[0]=&listOfVertices[0]; //graphVertex(possibleposition[0]);
+                adjacentVertices[1]=&listOfVertices[25]; //graphVertex(possibleposition[25]);
+            }
+            else if(findpos(actuelposition,possibleposition[18])){
+                adjacentVertices[0]=&listOfVertices[19]; //graphVertex(possibleposition[19]);
+                adjacentVertices[1]=&listOfVertices[24]; //graphVertex(possibleposition[24]);                
+            }
+            else if(findpos(actuelposition,possibleposition[19])){
+                adjacentVertices[0]=&listOfVertices[0]; //graphVertex(possibleposition[0]);
+                adjacentVertices[1]=&listOfVertices[18]; //graphVertex(possibleposition[18]);
+                adjacentVertices[2]=&listOfVertices[20]; //graphVertex(possibleposition[20]);
                          }
-            else if(jeanfindpos(actuelposition,possibleposition[20])){
-                adjacentVertices[0]=possibleposition[19];
-                adjacentVertices[1]=possibleposition[21];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[21])){
-                adjacentVertices[0]=possibleposition[20];
-                adjacentVertices[1]=possibleposition[22];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[22])){
-                adjacentVertices[0]=possibleposition[21];
-                adjacentVertices[1]=possibleposition[23];
-                adjacentVertices[2]=possibleposition[31];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[23])){
-                adjacentVertices[0]=possibleposition[22];
-                adjacentVertices[1]=possibleposition[30];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[24])){
-                adjacentVertices[0]=possibleposition[18];
-                adjacentVertices[1]=possibleposition[29];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[25])){
-                adjacentVertices[0]=possibleposition[17];
-                adjacentVertices[1]=possibleposition[26];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[26])){
-                adjacentVertices[0]=possibleposition[6];
-                adjacentVertices[1]=possibleposition[25];
-                adjacentVertices[2]=possibleposition[27];
+            else if(findpos(actuelposition,possibleposition[20])){
+                adjacentVertices[0]=&listOfVertices[19]; //graphVertex(possibleposition[19]);
+                adjacentVertices[1]=&listOfVertices[21]; //graphVertex(possibleposition[21]);
+                       }
+            else if(findpos(actuelposition,possibleposition[21])){
+                adjacentVertices[0]=&listOfVertices[20]; //graphVertex(possibleposition[20]);
+                adjacentVertices[1]=&listOfVertices[22]; //graphVertex(possibleposition[22]);
+                       }
+            else if(findpos(actuelposition,possibleposition[22])){
+                adjacentVertices[0]=&listOfVertices[21]; //graphVertex(possibleposition[21]);
+                adjacentVertices[1]=&listOfVertices[23]; //graphVertex(possibleposition[23]);
+                adjacentVertices[2]=&listOfVertices[31]; //graphVertex(possibleposition[31]);
+                          }
+            else if(findpos(actuelposition,possibleposition[23])){
+                adjacentVertices[0]=&listOfVertices[22]; //graphVertex(possibleposition[22]);
+                adjacentVertices[1]=&listOfVertices[30]; //graphVertex(possibleposition[30]);
+                       }
+            else if(findpos(actuelposition,possibleposition[24])){
+                adjacentVertices[0]=&listOfVertices[18]; //graphVertex(possibleposition[18]);
+                adjacentVertices[1]=&listOfVertices[29]; //graphVertex(possibleposition[29]);
+                       }
+            else if(findpos(actuelposition,possibleposition[25])){
+                adjacentVertices[0]=&listOfVertices[17]; //graphVertex(possibleposition[17]);
+                adjacentVertices[1]=&listOfVertices[26]; //graphVertex(possibleposition[26]);
+                       }
+            else if(findpos(actuelposition,possibleposition[26])){
+                adjacentVertices[0]=&listOfVertices[6]; //graphVertex(possibleposition[6]);
+                adjacentVertices[1]=&listOfVertices[25]; //graphVertex(possibleposition[25]);
+                adjacentVertices[2]=&listOfVertices[27]; //graphVertex(possibleposition[27]);
                          }
-            else if(jeanfindpos(actuelposition,possibleposition[27])){
-                adjacentVertices[0]=possibleposition[26];
-                adjacentVertices[1]=possibleposition[28];
-                adjacentVertices[2]=possibleposition[37];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[28])){
-                adjacentVertices[0]=possibleposition[27];
-                adjacentVertices[1]=possibleposition[29];
-                adjacentVertices[2]=possibleposition[36];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[29])){
-                adjacentVertices[0]=possibleposition[24];
-                adjacentVertices[1]=possibleposition[28];
-                adjacentVertices[2]=possibleposition[30];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[30])){
-                adjacentVertices[0]=possibleposition[23];
-                adjacentVertices[1]=possibleposition[29];
-                adjacentVertices[2]=possibleposition[34];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[31])){
-                adjacentVertices[0]=possibleposition[22];
-                adjacentVertices[1]=possibleposition[32];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[32])){
-                adjacentVertices[0]=possibleposition[31];
-                adjacentVertices[1]=possibleposition[33];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[33])){
-                adjacentVertices[0]=possibleposition[32];
-                adjacentVertices[1]=possibleposition[34];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[34])){
-                adjacentVertices[0]=possibleposition[30];
-                adjacentVertices[1]=possibleposition[33];
-                adjacentVertices[2]=possibleposition[35];
-                adjacentVertices[3]=possibleposition[42];
+            else if(findpos(actuelposition,possibleposition[27])){
+                adjacentVertices[0]=&listOfVertices[26]; //graphVertex(possibleposition[26]);
+                adjacentVertices[1]=&listOfVertices[28]; //graphVertex(possibleposition[28]);
+                adjacentVertices[2]=&listOfVertices[37]; //graphVertex(possibleposition[37]);
+                          }
+            else if(findpos(actuelposition,possibleposition[28])){
+                adjacentVertices[0]=&listOfVertices[27]; //graphVertex(possibleposition[27]);
+                adjacentVertices[1]=&listOfVertices[29]; //graphVertex(possibleposition[29]);
+                adjacentVertices[2]=&listOfVertices[36]; //graphVertex(possibleposition[36]);
+                          }
+            else if(findpos(actuelposition,possibleposition[29])){
+                adjacentVertices[0]=&listOfVertices[24]; //graphVertex(possibleposition[24]);
+                adjacentVertices[1]=&listOfVertices[28]; //graphVertex(possibleposition[28]);
+                adjacentVertices[2]=&listOfVertices[30]; //graphVertex(possibleposition[30]);
+                          }
+            else if(findpos(actuelposition,possibleposition[30])){
+                adjacentVertices[0]=&listOfVertices[23]; //graphVertex(possibleposition[23]);
+                adjacentVertices[1]=&listOfVertices[29]; //graphVertex(possibleposition[29]);
+                adjacentVertices[2]=&listOfVertices[34]; //graphVertex(possibleposition[34]);
+                          }
+            else if(findpos(actuelposition,possibleposition[31])){
+                adjacentVertices[0]=&listOfVertices[22]; //graphVertex(possibleposition[22]);
+                adjacentVertices[1]=&listOfVertices[32]; //graphVertex(possibleposition[32]);
+                       }
+            else if(findpos(actuelposition,possibleposition[32])){
+                adjacentVertices[0]=&listOfVertices[31]; //graphVertex(possibleposition[31]);
+                adjacentVertices[1]=&listOfVertices[33]; //graphVertex(possibleposition[33]);
+                       }
+            else if(findpos(actuelposition,possibleposition[33])){
+                adjacentVertices[0]=&listOfVertices[32]; //graphVertex(possibleposition[32]);
+                adjacentVertices[1]=&listOfVertices[34]; //graphVertex(possibleposition[34]);
+                       }
+            else if(findpos(actuelposition,possibleposition[34])){
+                adjacentVertices[0]=&listOfVertices[30]; //graphVertex(possibleposition[30]);
+                adjacentVertices[1]=&listOfVertices[33]; //graphVertex(possibleposition[33]);
+                adjacentVertices[2]=&listOfVertices[35]; //graphVertex(possibleposition[35]);
+                adjacentVertices[3]=&listOfVertices[42]; //graphVertex(possibleposition[42]);
                 
             }
-            else if(jeanfindpos(actuelposition,possibleposition[35])){
-                adjacentVertices[0]=possibleposition[34];
-                adjacentVertices[1]=possibleposition[36];
-                adjacentVertices[2]=possibleposition[41];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[36])){
-                adjacentVertices[0]=possibleposition[28];
-                adjacentVertices[1]=possibleposition[35];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[37])){
-                adjacentVertices[0]=possibleposition[27];
-                adjacentVertices[1]=possibleposition[38];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[38])){
-                adjacentVertices[0]=possibleposition[9];
-                adjacentVertices[1]=possibleposition[37];
-                adjacentVertices[2]=possibleposition[39];
+            else if(findpos(actuelposition,possibleposition[35])){
+                adjacentVertices[0]=&listOfVertices[34]; //graphVertex(possibleposition[34]);
+                adjacentVertices[1]=&listOfVertices[36]; //graphVertex(possibleposition[36]);
+                adjacentVertices[2]=&listOfVertices[41]; //graphVertex(possibleposition[41]);
+                          }
+            else if(findpos(actuelposition,possibleposition[36])){
+                adjacentVertices[0]=&listOfVertices[28]; //graphVertex(possibleposition[28]);
+                adjacentVertices[1]=&listOfVertices[35]; //graphVertex(possibleposition[35]);
+                       }
+            else if(findpos(actuelposition,possibleposition[37])){
+                adjacentVertices[0]=&listOfVertices[27]; //graphVertex(possibleposition[27]);
+                adjacentVertices[1]=&listOfVertices[38]; //graphVertex(possibleposition[38]);
+                       }
+            else if(findpos(actuelposition,possibleposition[38])){
+                adjacentVertices[0]=&listOfVertices[9]; //graphVertex(possibleposition[9]);
+                adjacentVertices[1]=&listOfVertices[37]; //graphVertex(possibleposition[37]);
+                adjacentVertices[2]=&listOfVertices[39]; //graphVertex(possibleposition[39]);
                          }
-            else if(jeanfindpos(actuelposition,possibleposition[39])){
-                adjacentVertices[0]=possibleposition[38];
-                adjacentVertices[1]=possibleposition[40];
-                adjacentVertices[2]=possibleposition[45];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[40])){
-                adjacentVertices[0]=possibleposition[39];
-                adjacentVertices[1]=possibleposition[41];
-            }
-            else if(jeanfindpos(actuelposition,possibleposition[41])){
-                adjacentVertices[0]=possibleposition[35];
-                adjacentVertices[1]=possibleposition[43];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[42])){
-                adjacentVertices[0]=possibleposition[34];
-                adjacentVertices[1]=possibleposition[43];
-                adjacentVertices[2]=possibleposition[54];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[43])){
-                adjacentVertices[0]=possibleposition[41];
-                adjacentVertices[1]=possibleposition[46];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[44])){
-                adjacentVertices[0]=possibleposition[40];
-                adjacentVertices[1]=possibleposition[66];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[45])){
-                adjacentVertices[0]=possibleposition[10];
-                adjacentVertices[1]=possibleposition[39];
-                adjacentVertices[2]=possibleposition[49];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[46])){
-                adjacentVertices[0]=possibleposition[43];
-                adjacentVertices[1]=possibleposition[47];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[47])){
-                adjacentVertices[0]=possibleposition[46];
-                adjacentVertices[1]=possibleposition[52];
-                adjacentVertices[2]=possibleposition[66];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[48])){
-                adjacentVertices[0]=possibleposition[49];
-                adjacentVertices[1]=possibleposition[51];
-                adjacentVertices[2]=possibleposition[66];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[49])){
-                adjacentVertices[0]=possibleposition[45];
-                adjacentVertices[1]=possibleposition[48];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[50])){
-                adjacentVertices[0]=possibleposition[51];
-                adjacentVertices[1]=possibleposition[61];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[51])){
-                adjacentVertices[0]=possibleposition[48];
-                adjacentVertices[1]=possibleposition[50];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[52])){
-                adjacentVertices[0]=possibleposition[47];
-                adjacentVertices[1]=possibleposition[53];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[53])){
-                adjacentVertices[0]=possibleposition[52];
-                adjacentVertices[1]=possibleposition[58];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[54])){
-                adjacentVertices[0]=possibleposition[42];
-                adjacentVertices[1]=possibleposition[55];
-                adjacentVertices[2]=possibleposition[57];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[55])){
-                adjacentVertices[0]=possibleposition[54];
-                adjacentVertices[1]=possibleposition[56];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[56])){
-                adjacentVertices[0]=possibleposition[55];
-                adjacentVertices[1]=possibleposition[57];
-                adjacentVertices[2]=possibleposition[65];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[57])){
-                adjacentVertices[0]=possibleposition[54];
-                adjacentVertices[1]=possibleposition[56];
-                adjacentVertices[2]=possibleposition[58];
-                adjacentVertices[3]=possibleposition[64];
+            else if(findpos(actuelposition,possibleposition[39])){
+                adjacentVertices[0]=&listOfVertices[38]; //graphVertex(possibleposition[38]);
+                adjacentVertices[1]=&listOfVertices[40]; //graphVertex(possibleposition[40]);
+                adjacentVertices[2]=&listOfVertices[45]; //graphVertex(possibleposition[45]);
+                          }
+            else if(findpos(actuelposition,possibleposition[40])){
+                adjacentVertices[0]=&listOfVertices[39]; //graphVertex(possibleposition[39]);
+                adjacentVertices[1]=&listOfVertices[41]; //graphVertex(possibleposition[41]);
+            }
+            else if(findpos(actuelposition,possibleposition[41])){
+                adjacentVertices[0]=&listOfVertices[35]; //graphVertex(possibleposition[35]);
+                adjacentVertices[1]=&listOfVertices[43]; //graphVertex(possibleposition[43]);
+                       }
+            else if(findpos(actuelposition,possibleposition[42])){
+                adjacentVertices[0]=&listOfVertices[34]; //graphVertex(possibleposition[34]);
+                adjacentVertices[1]=&listOfVertices[43]; //graphVertex(possibleposition[43]);
+                adjacentVertices[2]=&listOfVertices[54]; //graphVertex(possibleposition[54]);
+                          }
+            else if(findpos(actuelposition,possibleposition[43])){
+                adjacentVertices[0]=&listOfVertices[41]; //graphVertex(possibleposition[41]);
+                adjacentVertices[1]=&listOfVertices[46]; //graphVertex(possibleposition[46]);
+                       }
+            else if(findpos(actuelposition,possibleposition[44])){
+                adjacentVertices[0]=&listOfVertices[40]; //graphVertex(possibleposition[40]);
+                adjacentVertices[1]=&listOfVertices[66]; //graphVertex(possibleposition[66]);
+                       }
+            else if(findpos(actuelposition,possibleposition[45])){
+                adjacentVertices[0]=&listOfVertices[10]; //graphVertex(possibleposition[10]);
+                adjacentVertices[1]=&listOfVertices[39]; //graphVertex(possibleposition[39]);
+                adjacentVertices[2]=&listOfVertices[49]; //graphVertex(possibleposition[49]);
+                          }
+            else if(findpos(actuelposition,possibleposition[46])){
+                adjacentVertices[0]=&listOfVertices[43]; //graphVertex(possibleposition[43]);
+                adjacentVertices[1]=&listOfVertices[47]; //graphVertex(possibleposition[47]);
+                       }
+            else if(findpos(actuelposition,possibleposition[47])){
+                adjacentVertices[0]=&listOfVertices[46]; //graphVertex(possibleposition[46]);
+                adjacentVertices[1]=&listOfVertices[52]; //graphVertex(possibleposition[52]);
+                adjacentVertices[2]=&listOfVertices[66]; //graphVertex(possibleposition[66]);
+                          }
+            else if(findpos(actuelposition,possibleposition[48])){
+                adjacentVertices[0]=&listOfVertices[49]; //graphVertex(possibleposition[49]);
+                adjacentVertices[1]=&listOfVertices[51]; //graphVertex(possibleposition[51]);
+                adjacentVertices[2]=&listOfVertices[66]; //graphVertex(possibleposition[66]);
+                          }
+            else if(findpos(actuelposition,possibleposition[49])){
+                adjacentVertices[0]=&listOfVertices[45]; //graphVertex(possibleposition[45]);
+                adjacentVertices[1]=&listOfVertices[48]; //graphVertex(possibleposition[48]);
+                       }
+            else if(findpos(actuelposition,possibleposition[50])){
+                adjacentVertices[0]=&listOfVertices[51]; //graphVertex(possibleposition[51]);
+                adjacentVertices[1]=&listOfVertices[61]; //graphVertex(possibleposition[61]);
+                       }
+            else if(findpos(actuelposition,possibleposition[51])){
+                adjacentVertices[0]=&listOfVertices[48]; //graphVertex(possibleposition[48]);
+                adjacentVertices[1]=&listOfVertices[50]; //graphVertex(possibleposition[50]);
+                       }
+            else if(findpos(actuelposition,possibleposition[52])){
+                adjacentVertices[0]=&listOfVertices[47]; //graphVertex(possibleposition[47]);
+                adjacentVertices[1]=&listOfVertices[53]; //graphVertex(possibleposition[53]);
+                       }
+            else if(findpos(actuelposition,possibleposition[53])){
+                adjacentVertices[0]=&listOfVertices[52]; //graphVertex(possibleposition[52]);
+                adjacentVertices[1]=&listOfVertices[58]; //graphVertex(possibleposition[58]);
+                       }
+            else if(findpos(actuelposition,possibleposition[54])){
+                adjacentVertices[0]=&listOfVertices[42]; //graphVertex(possibleposition[42]);
+                adjacentVertices[1]=&listOfVertices[55]; //graphVertex(possibleposition[55]);
+                adjacentVertices[2]=&listOfVertices[57]; //graphVertex(possibleposition[57]);
+                          }
+            else if(findpos(actuelposition,possibleposition[55])){
+                adjacentVertices[0]=&listOfVertices[54]; //graphVertex(possibleposition[54]);
+                adjacentVertices[1]=&listOfVertices[56]; //graphVertex(possibleposition[56]);
+                       }
+            else if(findpos(actuelposition,possibleposition[56])){
+                adjacentVertices[0]=&listOfVertices[55]; //graphVertex(possibleposition[55]);
+                adjacentVertices[1]=&listOfVertices[57]; //graphVertex(possibleposition[57]);
+                adjacentVertices[2]=&listOfVertices[65]; //graphVertex(possibleposition[65]);
+                          }
+            else if(findpos(actuelposition,possibleposition[57])){
+                adjacentVertices[0]=&listOfVertices[54]; //graphVertex(possibleposition[54]);
+                adjacentVertices[1]=&listOfVertices[56]; //graphVertex(possibleposition[56]);
+                adjacentVertices[2]=&listOfVertices[58]; //graphVertex(possibleposition[58]);
+                adjacentVertices[3]=&listOfVertices[64]; //graphVertex(possibleposition[64]);
                 
             }
-            else if(jeanfindpos(actuelposition,possibleposition[58])){
-                adjacentVertices[0]=possibleposition[53];
-                adjacentVertices[1]=possibleposition[57];
-                adjacentVertices[2]=possibleposition[59];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[59])){
-                adjacentVertices[0]=possibleposition[58];
-                adjacentVertices[1]=possibleposition[59];
-                adjacentVertices[2]=possibleposition[63];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[60])){
-                adjacentVertices[0]=possibleposition[59];
-                adjacentVertices[1]=possibleposition[61];
-                adjacentVertices[2]=possibleposition[62];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[61])){
-                adjacentVertices[0]=possibleposition[13];
-                adjacentVertices[1]=possibleposition[50];
-                adjacentVertices[2]=possibleposition[60];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[62])){
-                adjacentVertices[0]=possibleposition[16];
-                adjacentVertices[1]=possibleposition[60];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[63])){
-                adjacentVertices[0]=possibleposition[59];
-                adjacentVertices[1]=possibleposition[64];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[64])){
-                adjacentVertices[0]=possibleposition[57];
-                adjacentVertices[1]=possibleposition[63];
-                adjacentVertices[2]=possibleposition[65];
-                          }
-            else if(jeanfindpos(actuelposition,possibleposition[65])){
-                adjacentVertices[0]=possibleposition[56];
-                adjacentVertices[1]=possibleposition[64];
-                       }
-            else if(jeanfindpos(actuelposition,possibleposition[66])){
-                adjacentVertices[0]=possibleposition[47];
-                adjacentVertices[1]=possibleposition[48];
+            else if(findpos(actuelposition,possibleposition[58])){
+                adjacentVertices[0]=&listOfVertices[53]; //graphVertex(possibleposition[53]);
+                adjacentVertices[1]=&listOfVertices[57]; //graphVertex(possibleposition[57]);
+                adjacentVertices[2]=&listOfVertices[59]; //graphVertex(possibleposition[59]);
+                          }
+            else if(findpos(actuelposition,possibleposition[59])){
+                adjacentVertices[0]=&listOfVertices[58]; //graphVertex(possibleposition[58]);
+                adjacentVertices[1]=&listOfVertices[59]; //graphVertex(possibleposition[59]);
+                adjacentVertices[2]=&listOfVertices[63]; //graphVertex(possibleposition[63]);
+                          }
+            else if(findpos(actuelposition,possibleposition[60])){
+                adjacentVertices[0]=&listOfVertices[59]; //graphVertex(possibleposition[59]);
+                adjacentVertices[1]=&listOfVertices[61]; //graphVertex(possibleposition[61]);
+                adjacentVertices[2]=&listOfVertices[62]; //graphVertex(possibleposition[62]);
+                          }
+            else if(findpos(actuelposition,possibleposition[61])){
+                adjacentVertices[0]=&listOfVertices[13]; //graphVertex(possibleposition[13]);
+                adjacentVertices[1]=&listOfVertices[50]; //graphVertex(possibleposition[50]);
+                adjacentVertices[2]=&listOfVertices[60]; //graphVertex(possibleposition[60]);
+                          }
+            else if(findpos(actuelposition,possibleposition[62])){
+                adjacentVertices[0]=&listOfVertices[16]; //graphVertex(possibleposition[16]);
+                adjacentVertices[1]=&listOfVertices[60]; //graphVertex(possibleposition[60]);
+                       }
+            else if(findpos(actuelposition,possibleposition[63])){
+                adjacentVertices[0]=&listOfVertices[59]; //graphVertex(possibleposition[59]);
+                adjacentVertices[1]=&listOfVertices[64]; //graphVertex(possibleposition[64]);
+                       }
+            else if(findpos(actuelposition,possibleposition[64])){
+                adjacentVertices[0]=&listOfVertices[57]; //graphVertex(possibleposition[57]);
+                adjacentVertices[1]=&listOfVertices[63]; //graphVertex(possibleposition[63]);
+                adjacentVertices[2]=&listOfVertices[65]; //graphVertex(possibleposition[65]);
+                          }
+            else if(findpos(actuelposition,possibleposition[65])){
+                adjacentVertices[0]=&listOfVertices[56]; //graphVertex(possibleposition[56]);
+                adjacentVertices[1]=&listOfVertices[64]; //graphVertex(possibleposition[64]);
+                       }
+            else if(findpos(actuelposition,possibleposition[66])){
+                adjacentVertices[0]=&listOfVertices[47]; //graphVertex(possibleposition[47]);
+                adjacentVertices[1]=&listOfVertices[48]; //graphVertex(possibleposition[48]);
                        }
     }
 
+
 }
